namespace DocuMed.Domain.Entities.Hospitals;

public partial class Hospital
{
    public static Hospital Create(string name, string detail, string address, Guid universityId)
        => new Hospital(name, detail, address, universityId);
}

public partial class Section
{
    public static Hospitals.Section Create(string name, string detail, Guid universityId)
    {
        return new Hospitals.Section(name, detail, universityId);
    }
}